package im.dx.system.model;

import java.io.Serializable;

public class Code implements Serializable {

    private String  key;
    private String name;
    private String type;
    private String alarmlevel;
    private Integer  rectifytime ;
    private Integer  manualchecktime;
    private Integer  pushchecktime ;
    private Integer maxnumvalue;
    private Integer alarmnum;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getAlarmlevel() {
        return alarmlevel;
    }

    public void setAlarmlevel(String alarmlevel) {
        this.alarmlevel = alarmlevel;
    }

    public Integer getRectifytime() {
        return rectifytime;
    }

    public void setRectifytime(Integer rectifytime) {
        this.rectifytime = rectifytime;
    }

    public Integer getManualchecktime() {
        return manualchecktime;
    }

    public void setManualchecktime(Integer manualchecktime) {
        this.manualchecktime = manualchecktime;
    }

    public Integer getPushchecktime() {
        return pushchecktime;
    }

    public void setPushchecktime(Integer pushchecktime) {
        this.pushchecktime = pushchecktime;
    }

    public Integer getMaxnumvalue() {
        return maxnumvalue;
    }

    public void setMaxnumvalue(Integer maxnumvalue) {
        this.maxnumvalue = maxnumvalue;
    }

    public Integer getAlarmnum() {
        return alarmnum;
    }

    public void setAlarmnum(Integer alarmnum) {
        this.alarmnum = alarmnum;
    }
}